import * as React from 'react';
import { Spin, Tabs } from 'antd';
import { ExtensionHeader } from './view/ExtensionHeader.js';
import { ExtensionDetails } from './view/ExtensionDetails.js';
import { ExtensionChangelog } from './view/ExtensionChangelog.js';

const {
  TabPane
} = Tabs;
const Extension = props => {
  const {
    extension,
    loading
  } = props;
  if (loading) {
    return React.createElement(Spin, null);
  }
  return React.createElement("div", null, React.createElement("div", null, React.createElement(ExtensionHeader, {
    extension: extension
  })), React.createElement("div", null, React.createElement(Tabs, {
    animated: false
  }, React.createElement(TabPane, {
    key: "extension.details",
    tab: "Details"
  }, React.createElement(ExtensionDetails, {
    extension: extension
  })), React.createElement(TabPane, {
    key: "extension.changelog",
    tab: "Changelog"
  }, React.createElement(ExtensionChangelog, {
    extension: extension
  })))));
};

export { Extension };
//# sourceMappingURL=ExtensionView.js.map
