import { get } from 'lodash-es';
import * as React from 'react';
import { useGalleryExtensionQuery } from '../components/generated.js';
import { Extension } from '../components/ExtensionView.js';

const ExtensionView = props => {
  const {
    data,
    loading,
    error
  } = useGalleryExtensionQuery({
    variables: {
      extensionID: props.extensionID
    }
  });
  return React.createElement(Extension, {
    loading: loading,
    extension: get(data, 'extension')
  });
};

export { ExtensionView };
//# sourceMappingURL=ExtensionView.js.map
