import { ContainerModule } from 'inversify';
import { ClientTypes } from '@adminide-stack/extension-api';
import { CommandRegistry } from '../services/command-service.js';
import { ModelService } from '../services/model-service.js';
import { ViewerService } from '../services/viewer-service.js';
import { ContributionRegistry } from '../services/contribution-service.js';

const extensionModule = () => new ContainerModule(bind => {
  bind(ClientTypes.ICommandRegistry).to(CommandRegistry).inSingletonScope();
  bind(ClientTypes.IContributionRegistry).to(ContributionRegistry).inSingletonScope();
  // bind(ClientTypes.IExtensionService).to();
  bind(ClientTypes.IModelService).to(ModelService).inSingletonScope();
  bind(ClientTypes.IViewerService).to(ViewerService).inSingletonScope();
  // bind(ClientTypes.IWindowsService).to();
});

export { extensionModule };
//# sourceMappingURL=module.js.map
